﻿Write-Host "Please Type in your Office365 Global Admin Credentials"
$cred = Get-Credential

function Show-Menu
{
     param (
           [string]$Title = 'Which Microsoft Online Service would you like to connect to?'
     )
     cls
     Write-Host "================ $Title ================"
     
     Write-Host "1: Type '1' to connect to Exchange Online."
     Write-Host "2: Type '2' to connect to the Office365 Admin Center"
     Write-Host "3: Type '3' to connect to Sharepoint Online."
     Write-Host "4: Type '4' to connect to the Security and Compliance Center."
     Write-Host "5: Type '5' to connect to Skype for Business Online"
     Write-Host "Q: Press 'Q' to quit, or when you have connected to all required services."
}
do
{
     Show-Menu
     $input = Read-Host "Please make a selection"
     switch ($input)
     {
           '1' {
                cls
                $session1 = New-Pssession -ConfigurationName Microsoft.Exchange -ConnectionUri https://outlook.office365.com/powershell-liveid/ -Authentication Basic -AllowRedirection -Credential $cred
                Import-PSSession $session1
           } '2' {
                cls
                $session2 = Connect-MsolService -Credential $cred
                $session2
           } '3' 
           {
                cls
                $orgName= Read-Host "What is the tennant Name?"
                $session3 = Connect-SPOService -Url https://$orgName-admin.sharepoint.com -Credential $cred
                $session3
           } '4' 
           {
                cls
                $session4 = New-PSSession -ConfigurationName Microsoft.Exchange -ConnectionUri https://ps.compliance.protection.outlook.com/powershell-liveid/ -Authentication Basic -AllowRedirection -Credential $cred
                Import-PSSession $session4
           } '5'
           {
                cls
                $session5 = New-CsOnlineSession -Credential $cred
                Import-PSSession $session5
           } 'q' {
                return
           }
     }
     pause
}
until ($input -eq 'q')